.radio-container {
    position: relative;
    padding: 3px 15px 3px 30px;
    margin: 0 10px 10px 0px;
    cursor: pointer;
    font-size: 16px;
    user-select: none;
    border: 1px solid #ccc;
    border-radius: 15px;
}

/* Hide default radio */
.radio-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

/* Custom circle */
.checkmark {
  position: absolute;
  top: 4px;
  left: 4px;
  height: 22px;
  width: 22px;
  background-color: transparent;
  border:1px solid #ccc;
  border-radius: 50%;
  transition: 0.3s;
}

/* Hover effect */
.radio-container:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When checked */
.radio-container input:checked ~ .checkmark {
  background-color: #9b76df;
  border-color:  #9b76df;
}

/* Inner dot */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show dot when checked */
.radio-container input:checked ~ .checkmark:after {
  display: block;
}

/* Dot style */
.radio-container .checkmark:after {
  top: 6px;
  left: 6px;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: white;
}
